- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Host::CRegistryInfo Class Reference

List of all members.

## Detailed Description

Store the name and value of a single key from the registry.

Date:
  18/02/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

  1.1.0 Made child of CCountedObject, removed virtuals

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CRegistryInfo.hpp,v 1.4 2007/02/08 21:06:44 paul Exp

Definition at line 31 of file CRegistryInfo.hpp.

## Public Member Functions

- CRegistryInfo (const CString &name, const CString &value)
- const CString & getName () const
- const CString & getValue () const
- void setName (const CString &name)
- void setValue (const CString &value)
- virtual ~CRegistryInfo ()

## Protected Attributes

- CString m_keyName
- CString m_keyValue

## Constructor & Destructor Documentation

Exponent::Host::CRegistryInfo::CRegistryInfo | ( | const CString & | name,
|  | const CString & | value |
| ) |  |  |

Construction

Parameters:

  | name | The name of the key
  | value | The value of the key

virtual Exponent::Host::CRegistryInfo::~CRegistryInfo | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

const CString& Exponent::Host::CRegistryInfo::getName | ( |  | ) | const

Get the name

Return values:

  | const | CString& The name of the key

const CString& Exponent::Host::CRegistryInfo::getValue | ( |  | ) | const

Get hte value

Return values:

  | const | CString& The key value

void Exponent::Host::CRegistryInfo::setName | ( | const CString & | name | ) |

Set the name

Parameters:

  | name | The name of the key

void Exponent::Host::CRegistryInfo::setValue | ( | const CString & | value | ) |

Set the value of the key

Parameters:

  | value | The value of the key

## Member Data Documentation

CString Exponent::Host::CRegistryInfo::m_keyName`[protected]`

The name of the object

Definition at line 89 of file CRegistryInfo.hpp.

CString Exponent::Host::CRegistryInfo::m_keyValue`[protected]`

The value of the object

Definition at line 90 of file CRegistryInfo.hpp.